DEBRELEASE(1)

NOM
debrelease - Encapsulation d'appels à dupload ou dput

SYNOPSIS
debrelease [options_debrelease] [options_dupload/dput]

DESCRIPTION
debrelease est un simple script d'encapsulation ("wrapper") d'appels à dupload ou dput. Il est appelé depuis l'arborescence des sources d'un paquet, et détermine la version actuelle d'un paquet. Il recherche ensuite un fichier .changes correspondant (qui liste les fichiers nécessaires à l'envoi à l'archive Debian) dans le répertoire parent de l'arborescence du code source, et appelle ensuite dupload ou dput avec le fichier .changes en paramètre de façon à réaliser l'envoi ("upload").

Vous pouvez fournir des options à debrelease. À l'exception de celles qui sont listées ci-dessous, elles sont passées inchangées à dupload ou dput. Les fichiers de configuration de devscripts sont également lus par debrelease, comme indiqué ci-dessous.

Vérification du nom du répertoire
Comme plusieurs autres scripts du paquet devscripts, debrelease parcourt une arborescence de répertoires jusqu'à ce qu'il trouve un fichier debian/changelog. Pour éviter les problèmes posés par les fichiers égarés, il examine le nom du répertoire parent une fois qu'il a trouvé le fichier debian/changelog, et vérifie que le nom du répertoire correspond au nom du paquet. La façon précise utilisée est contrôlée par les deux variables du fichier de configuration DEVSCRIPTS_CHECK_DIRNAME_LEVEL et DEVSCRIPTS_CHECK_DIRNAME_REGEX, et les options en ligne de commande associées --check-dirname-level et --check-dirname-regex.

DEVSCRIPTS_CHECK_DIRNAME_LEVEL peut prendre les valeurs suivantes :

0   Ne jamais vérifier le nom du répertoire.

1   Ne vérifier le nom du répertoire que s'il a fallu changer de répertoire pour trouver le fichier debian/changelog. C'est le comportement par défaut.

2   Toujours vérifier le nom du répertoire.

Le nom du répertoire est vérifié en testant si le nom du répertoire actuel (donné par pwd(1)) correspond à l'expression rationnelle donnée par la variable DEVSCRIPTS_CHECK_DIRNAME_REGEX du fichier de configuration ou par l'option --check-dirname-regex expression_rationnelle. Il s'agit d'une expression rationnelle Perl (voir perlre(1)), qui sera ancrée à son début et à sa fin. Si elle contient un "/", alors elle doit correspondre au chemin complet, sinon elle doit correspondre au nom de répertoire complet. Si elle contient la chaîne "PACKAGE", cette chaîne sera remplacée par le nom du paquet source déterminé par le journal de modifications. La valeur par défaut de cette expression rationnelle est "PACKAGE(-.+)?", ce qui correspond aux répertoires nommés PACKAGE ou PACKAGE-version.

OPTIONS

--dupload, --dput
    Permet d'indiquer le programme utilisé pour l'envoi à l'archive Debian. Par défaut, dupload est utilisé.

-S  Si cette option est utilisée ou si le fichier par défaut .changes n'est pas trouvé mais qu'un fichier .changes pour les sources uniquement est présent, alors ce dernier fichier .changes est téléchargé vers le serveur à la place de celui spécifique à une architecture.

-aarchitecture-debian, -ttype-de-système-GNU
    Veuillez consulter dpkg-architecture(1) pour une description de ces options. Ces options affectent la recherche du fichier .changes. Elles consistent à imiter le comportement de dpkg-buildpackage lors de la détermination du nom du fichier .changes. Si une option -t est donnée, elle est considérée comme une option définissant l'hôte pour dupload et marque donc la fin des options spécifiques à debrelease.

--multi
    Mode des fichiers .changes multiarchitecture : cela signifie que debrelease doit utiliser le fichier le plus récent respectant le modèle paquet_version_*+*.changes, autorisant ainsi les fichiers .changes produits par dpkg-cross.

--debs-dir répertoire
    Chercher les fichiers .changes et .deb dans le répertoire au lieu du répertoire parent du répertoire source. Cela doit être soit un chemin absolu, soit un chemin relatif à la racine du répertoire source.

--check-dirname-level N
    Veuillez consulter la section Vérification du nom du répertoire ci-dessus pour une explication de cette option.

--check-dirname-regex regex
    Veuillez consulter la section Vérification du nom du répertoire ci-dessus pour une explication de cette option.

--no-conf, --noconf
    Ne lire aucun fichier de configuration. L'option ne peut être utilisée qu'en première position de la ligne de commande.

--help, -h
    Afficher un message d'aide et quitter avec succès.

--version
    Afficher la version et le copyright, puis quitter avec succès.

VARIABLES DE CONFIGURATION
Les deux fichiers de configuration /etc/devscripts.conf et ~/.devscripts sont évalués dans cet ordre pour régler les variables de configuration. Des options de ligne de commande peuvent être utilisées pour écraser les paramètres des fichiers de configuration. Les variables d'environnement sont ignorées à cette fin. Les variables actuellement identifiées sont :

DEBRELEASE_UPLOADER
    Les valeurs valables actuellement sont dupload et dput. Cette variable permet d'indiquer quel sera le programme utilisé pour réaliser l'envoi au serveur. Elle correspond à l'utilisation des options --dupload ou --dput.

DEBRELEASE_DEBS_DIR
    Indiquer le répertoire dans lequel chercher les fichiers .changes et .deb avec soit un chemin absolu, soit un chemin relatif à la racine du répertoire racine. Cela correspond à l'option en ligne de commande --debs-dir. Cette directive peut être utilisée par exemple si vous utilisez systématiquement pbuilder ou svn-buildpackage pour construire vos paquets. Remarquez que cela concerne également debc(1) et debi(1).

DEVSCRIPTS_CHECK_DIRNAME_LEVEL, DEVSCRIPTS_CHECK_DIRNAME_REGEX
    Veuillez consulter la section Vérification du nom du répertoire ci-dessus pour une explication de ces variables. Remarquez que ce sont des variables de configuration pour tous les outils du paquet devscripts ; elles impacteront tous les scripts qui les utilisent, comme indiqué dans leurs pages de manuel respectives et dans devscripts.conf(5).

VOIR AUSSI
dput(1), dupload(1), devscripts.conf(5)

AUTEUR
Julian Gilbey <jdg@debian.org>, basé sur le script initial release de Christoph Lameter <clameter@debian.org>.

TRADUCTION
Ce document est une traduction, maintenue à l'aide de l'outil po4a <https://po4a.alioth.debian.org/> par l'équipe de traduction francophone du projet Debian.

Nicolas François, Guillaume Delacour, Cyril Brulebois, Thomas Huriaux et David Prévot ont réalisé cette traduction.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet devscripts.

La version anglaise la plus à jour de ce document est toujours consultable en ajoutant l'option « -L C » à la commande man.